Memory Stores
Create a memory item
Creates a memory item in the specified memory store.
Parameter header
Foundry-Features
enum
diperlukan
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parameter jalur
name
string
diperlukan
The name of the memory store.
Parameter kueri
api-version
string
diperlukan
The API version to use for this operation.
Isi Permintaan
scope
string
diperlukan
The namespace that logically groups and isolates memories, such as a user ID.
content
string
diperlukan
The content of the memory.
kind
string | enum
diperlukan
Memory item kind.
enum
Respons
The request has succeeded.
Isi
user_profile
UserProfileMemoryItem
A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.
kind
enum
diperlukan
The kind of the memory item.
chat_summary
ChatSummaryMemoryItem
A memory item containing a summary extracted from conversations.
kind
enum
diperlukan
The kind of the memory item.
procedural
ProceduralMemoryItem
A memory item containing a procedure extracted from conversations.
kind
enum
diperlukan
The kind of the memory item.
Minta
POST /memory_stores/{name}/items HTTP/1.1
Tanggapan
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json